using System;
using System.Runtime.Serialization;

namespace ETHZ.C0284H.Calculator.Exceptions.Calc
{

    /// <summary>
    /// Generated when an illegal number of operands is detected on the stack
    /// </summary>
    [Serializable]
    public class IllegalNumberOfOperandsException : CalculatorException
    {
        public IllegalNumberOfOperandsException()
        {
        }

        public IllegalNumberOfOperandsException(string message) : base(message)
        {
        }

        public IllegalNumberOfOperandsException(string message, Exception inner) : base(message, inner)
        {
        }

        protected IllegalNumberOfOperandsException(
            SerializationInfo info,
            StreamingContext context) : base(info, context)
        {
        }
    }
}
